Bug 1476481 - Review Request: perl-AWS-Signature4 - Perl module for creating a version4 signature for Amazon Web Services
Review Request: perl-AWS-Signature4 - Perl module for creating a version4 sig...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Robin Lee
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 1120788
  Show dependency treegraph
 
Reported: 2017-07-29 09:34 EDT by Dominic Hopf
Modified: 2017-08-10 17:26 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-08-10 12:53:33 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
robinlee.sysu: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description Dominic Hopf 2017-07-29 09:34:46 EDT
This module is used by by Rex(ify) which is currently under review here: https://bugzilla.redhat.com/show_bug.cgi?id=1120788

Spec URL: https://dmaphy.fedorapeople.org/perl-AWS-Signature4/perl-AWS-Signature4.spec
SRPM URL: https://dmaphy.fedorapeople.org/perl-AWS-Signature4/perl-AWS-Signature4-1.02-1.fc26.src.rpm
Description: This module implement's Amazon Web Service's Signature version 4
(http://docs.aws.amazon.com/general/latest/gr/signature-version-4.html).
Fedora Account System Username: dmaphy
Comment 1 Robin Lee 2017-07-29 14:56:10 EDT
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Artistic (v2.0)", "Unknown or generated". 8 files have unknown
     license. Detailed output of licensecheck in
     /home/cheese/Downloads/1476481-perl-AWS-Signature4/licensecheck.txt
[x]: If the package is under multiple licenses, the licensing breakdown
     must be documented in the spec.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 2 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: No rpmlint messages.
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Perl:
[x]: Package contains the mandatory BuildRequires and Requires:.
[x]: CPAN urls should be non-versioned.

===== SHOULD items =====

Generic:
[x]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: No rpmlint messages.
[x]: Spec file according to URL is the same as in SRPM.
[!]: BuildRequires "perl(URI)" duplicated
[!]: Macro under comment: #%{?perl_default_filter}


Rpmlint
-------
Checking: perl-AWS-Signature4-1.02-1.fc27.noarch.rpm
          perl-AWS-Signature4-1.02-1.fc27.src.rpm
2 packages and 0 specfiles checked; 0 errors, 0 warnings.




Rpmlint (installed packages)
----------------------------
sh: /usr/bin/python: No such file or directory
1 packages and 0 specfiles checked; 0 errors, 0 warnings.



Requires
--------
perl-AWS-Signature4 (rpmlib, GLIBC filtered):
    perl(:MODULE_COMPAT_5.26.0)
    perl(Carp)
    perl(Date::Parse)
    perl(Digest::SHA)
    perl(POSIX)
    perl(URI)
    perl(URI::Escape)
    perl(URI::QueryParam)
    perl(strict)



Provides
--------
perl-AWS-Signature4:
    perl(AWS::Signature4)
    perl-AWS-Signature4



Source checksums
----------------
http://search.cpan.org/CPAN/authors/id/L/LD/LDS/AWS-Signature4-1.02.tar.gz :
  CHECKSUM(SHA256) this package     : 20bbc16cb3454fe5e8cf34fe61f1a91fe26c3f17e449ff665fcbbb92ab443ebd
  CHECKSUM(SHA256) upstream package : 20bbc16cb3454fe5e8cf34fe61f1a91fe26c3f17e449ff665fcbbb92ab443ebd


Generated by fedora-review 0.6.1 (f03e4e7) last change: 2016-05-02
Command line :/usr/bin/fedora-review -b 1476481
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Shell-api, Perl
Disabled plugins: Java, C/C++, Python, fonts, SugarActivity, Ocaml, Haskell, R, PHP
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6


The failed extra items are not blocking.
This package is approved by cheeselee.
Comment 2 Dominic Hopf 2017-07-29 16:24:48 EDT
Thanks very much for taking care of this and Robin! That was quite fast. :-)
Comment 3 Gwyn Ciesla 2017-07-29 22:18:33 EDT
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/rpms/perl-AWS-Signature4
Comment 4 Fedora Update System 2017-07-30 04:52:25 EDT
perl-AWS-Signature4-1.02-2.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-ac10151d8e
Comment 5 Fedora Update System 2017-07-30 22:22:14 EDT
perl-AWS-Signature4-1.02-2.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-c777df963b
Comment 6 Fedora Update System 2017-07-31 00:23:59 EDT
perl-AWS-Signature4-1.02-2.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-ac10151d8e
Comment 7 Fedora Update System 2017-08-10 12:53:33 EDT
perl-AWS-Signature4-1.02-2.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.
Comment 8 Fedora Update System 2017-08-10 17:26:06 EDT
perl-AWS-Signature4-1.02-2.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.